alias f="$(pay-respects zsh)"
alias wtf="navi"
alias help="navi"
alias rzsh="source ~/.zshrc && echo 'Successfully reloaded zsh!'"
alias aliases="${EDITOR} $ZSH_CUSTOM/aliases.zsh && rzsh"
alias zshrc="${EDITOR} ~/.zshrc && rzsh"
alias zshconfig="zshrc"
alias zshcustom="${EDITOR} $ZSH_CUSTOM && rzsh"
alias ohmyzsh="${EDITOR} ~/.oh-my-zsh && rzsh"
alias vi="${EDITOR}"
alias vim="${EDITOR}"
alias nano="${EDITOR}"
alias neofetch="fastfetch"
alias nf="fastfetch"
alias ff="fastfetch"
alias uf="uwufetch"
alias aur="yay"
# this lists packages installed with pacman by size in mebibytes
alias pacsize="pacman -Qi | egrep '^(Name|Installed)' | cut -f2 -d':' | paste - - | column -t | sort -nrk 2 | grep MiB | less"
alias lg="lazygit"
alias lad="lazydocker"
alias htop="btop"
if [[ "${XDG_SESSION_TYPE}" == "x11" ]]; then
  alias clip="xsel -ib"
elif [[ -n "${WAYLAND_DISPLAY}" ]]; then
  alias clip="wl-copy"
else
  alias clip='echo "Cannot determine desktop session type, are you running a display server that is not X11 or Wayland?"'
fi
alias driver="nvidia-smi"
alias gpu="sudo nvidia-settings"
alias yaystats="yay -P --stats"
alias pacstats="yaystats"
alias taildrop="tailscale file"
alias protontricks="flatpak run com.github.Matoking.protontricks"
alias sober="flatpak run org.vinegarhq.Sober"
alias runactions="forgejo-runner exec --default-actions-url https://www.coastalcommits.com --gitea-instance https://www.coastalcommits.com"
alias sudo="sudo "
